Method: networks.breakTemplates.batchUpdate

Batch updates BreakTemplate objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/breakTemplates:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where BreakTemplates will be updated. Format: networks/{networkCode} The parent field in the UpdateBreakTemplateRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateBreakTemplateRequest)
    }
  ]
}
Fields
requests[]

object (UpdateBreakTemplateRequest)

Required. The BreakTemplate objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for breakTemplates.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "breakTemplates": [
    {
      object (BreakTemplate)
    }
  ]
}
Fields
breakTemplates[]

object (BreakTemplate)

The BreakTemplate objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateBreakTemplateRequest

Request object for breakTemplates.patch method.

JSON representation
{
  "breakTemplate": {
    object (BreakTemplate)
  },
  "updateMask": string
}
Fields
breakTemplate

object (BreakTemplate)

Required. The BreakTemplate to update.

The BreakTemplate's name is used to identify the BreakTemplate to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".